function init(hero) {
    hero.setName("Gambit/Remy LeBeau");
    hero.setTier(3);
    
    hero.setHelmet("Hair");
    hero.setChestplate("Chestpiece");
    hero.setLeggings("Pants");
    hero.setBoots("Boots");
    hero.addPrimaryEquipment("fiskheroes:bo_staff", true);
    
    hero.addPowers("fiskheroes:energy_manipulation");
    hero.addAttribute("PUNCH_DAMAGE", 4.5, 0);
    hero.addAttribute("WEAPON_DAMAGE", 3.5, 0);
    hero.addAttribute("JUMP_HEIGHT", 2.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 3.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.10, 1);
    
    hero.addKeyBind("CHARGE_ENERGY", "key.chargeEnergy", 1);
    
    hero.setModifierEnabled(isModifierEnabled);
	hero.setKeyBindEnabled(isKeyBindEnabled);
    hero.supplyFunction("canDischargeEnergy", isHoldingBostaff);
}

function isModifierEnabled(entity, modifier) {
    return modifier.name() != "fiskheroes:energy_manipulation" || isHoldingBostaff(entity);
}

function isKeyBindEnabled(entity, keyBind) {
    return keyBind != "CHARGE_ENERGY" || isHoldingBostaff(entity);
}

function isHoldingBostaff(entity) {
    return entity.getHeldItem().name() == "fiskheroes:bo_staff";
}
